Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/DIA/diadct.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/DIA/diadct.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/DIA/diadct.F90	(revision 9124)
@@ -37,5 +37,4 @@
    USE domvvl
    USE timing          ! preformance summary
-   USE wrk_nemo        ! working arrays
 
    IMPLICIT NONE
@@ -121,16 +120,16 @@
 
 
-  SUBROUTINE dia_dct_init
-     !!---------------------------------------------------------------------
-     !!               ***  ROUTINE diadct  ***  
-     !!
-     !!  ** Purpose: Read the namelist parameters
-     !!              Open output files
-     !!
-     !!---------------------------------------------------------------------
-     NAMELIST/namdct/nn_dct,nn_dctwri,nn_secdebug
-     INTEGER  ::   ios                 ! Local integer output status for namelist read
-
-     IF( nn_timing == 1 )   CALL timing_start('dia_dct_init')
+   SUBROUTINE dia_dct_init
+      !!---------------------------------------------------------------------
+      !!               ***  ROUTINE diadct  ***  
+      !!
+      !!  ** Purpose: Read the namelist parameters
+      !!              Open output files
+      !!
+      !!---------------------------------------------------------------------
+      INTEGER  ::   ios                 ! Local integer output status for namelist read
+      !!
+      NAMELIST/namdct/nn_dct,nn_dctwri,nn_secdebug
+      !!---------------------------------------------------------------------
 
      REWIND( numnam_ref )              ! Namelist namdct in reference namelist : Diagnostic: transport through sections
@@ -140,5 +139,5 @@
      REWIND( numnam_cfg )              ! Namelist namdct in configuration namelist : Diagnostic: transport through sections
      READ  ( numnam_cfg, namdct, IOSTAT = ios, ERR = 902 )
-902  IF( ios /= 0 ) CALL ctl_nam ( ios , 'namdct in configuration namelist', lwp )
+902  IF( ios >  0 ) CALL ctl_nam ( ios , 'namdct in configuration namelist', lwp )
      IF(lwm) WRITE ( numond, namdct )
 
@@ -175,11 +174,9 @@
      transports_3d(:,:,:,:)=0.0 
      transports_2d(:,:,:)  =0.0 
-
-     IF( nn_timing == 1 )   CALL timing_stop('dia_dct_init')
      !
   END SUBROUTINE dia_dct_init
  
  
-  SUBROUTINE dia_dct(kt)
+  SUBROUTINE dia_dct( kt )
      !!---------------------------------------------------------------------
      !!               ***  ROUTINE diadct  ***  
@@ -198,22 +195,20 @@
      !!               Reinitialise all relevant arrays to zero 
      !!---------------------------------------------------------------------
-     INTEGER,INTENT(in)        ::kt
+     INTEGER, INTENT(in) ::   kt
      !
-     INTEGER             :: jsec,            &! loop on sections
-                            itotal            ! nb_sec_max*nb_type_class*nb_class_max
-     LOGICAL             :: lldebug =.FALSE.  ! debug a section  
-     
-     INTEGER , DIMENSION(1)             :: ish   ! tmp array for mpp_sum
-     INTEGER , DIMENSION(3)             :: ish2  !   "
-     REAL(wp), POINTER, DIMENSION(:)    :: zwork !   "  
-     REAL(wp), POINTER, DIMENSION(:,:,:):: zsum  !   "
+     INTEGER ::   jsec              ! loop on sections
+     INTEGER ::   itotal            ! nb_sec_max*nb_type_class*nb_class_max
+     LOGICAL ::   lldebug =.FALSE.  ! debug a section  
+     INTEGER              , DIMENSION(1)    ::   ish     ! work array for mpp_sum
+     INTEGER              , DIMENSION(3)    ::   ish2    !   "
+     REAL(wp), ALLOCATABLE, DIMENSION(:)    ::   zwork   !   "  
+     REAL(wp), ALLOCATABLE, DIMENSION(:,:,:)::   zsum    !   "
      !!---------------------------------------------------------------------    
      !
-     IF( nn_timing == 1 )   CALL timing_start('dia_dct')
+     IF( ln_timing )   CALL timing_start('dia_dct')
 
      IF( lk_mpp )THEN
         itotal = nb_sec_max*nb_type_class*nb_class_max
-        CALL wrk_alloc( itotal                                , zwork ) 
-        CALL wrk_alloc( nb_sec_max,nb_type_class,nb_class_max , zsum  )
+        ALLOCATE( zwork(itotal) , zsum(nb_sec_max,nb_type_class,nb_class_max) )
      ENDIF    
  
@@ -286,11 +281,11 @@
      IF( lk_mpp )THEN
         itotal = nb_sec_max*nb_type_class*nb_class_max
-        CALL wrk_dealloc( itotal                                , zwork ) 
-        CALL wrk_dealloc( nb_sec_max,nb_type_class,nb_class_max , zsum  )
+        DEALLOCATE( zwork , zsum  )
      ENDIF    
 
-     IF( nn_timing == 1 )   CALL timing_stop('dia_dct')
+     IF( ln_timing )   CALL timing_stop('dia_dct')
      !
   END SUBROUTINE dia_dct
+
 
   SUBROUTINE readsec 
@@ -304,21 +299,15 @@
      !!
      !!---------------------------------------------------------------------
-     !! * Local variables
      INTEGER :: iptglo , iptloc                               ! Global and local number of points for a section
      INTEGER :: isec, iiglo, ijglo, iiloc, ijloc,iost,i1 ,i2  ! temporary  integer
      INTEGER :: jsec, jpt                                     ! dummy loop indices
-
      INTEGER, DIMENSION(2) :: icoord 
-     CHARACTER(len=160)    :: clname                          !filename
+     LOGICAL               :: llbon, lldebug   ! local logical
+     CHARACTER(len=160)    :: clname           ! filename
      CHARACTER(len=200)    :: cltmp
-     CHARACTER(len=200)    :: clformat                        !automatic format
-     TYPE(POINT_SECTION),DIMENSION(nb_point_max)  ::coordtemp !contains listpoints coordinates 
-                                                              !read in the file
-     INTEGER, POINTER, DIMENSION(:) :: directemp              !contains listpoints directions
-                                                              !read in the files
-     LOGICAL :: llbon                                       ,&!local logical
-                lldebug                                       !debug the section
+     CHARACTER(len=200)    :: clformat                          !automatic format
+     TYPE(POINT_SECTION),DIMENSION(nb_point_max)  ::coordtemp   !contains listpoints coordinates read in the file
+     INTEGER, DIMENSION(nb_point_max) :: directemp              !contains listpoints directions read in the files
      !!-------------------------------------------------------------------------------------
-     CALL wrk_alloc( nb_point_max, directemp )
 
      !open input file
@@ -491,8 +480,7 @@
  
      nb_sec = jsec-1   !number of section read in the file
-
-     CALL wrk_dealloc( nb_point_max, directemp )
      !
   END SUBROUTINE readsec
+
 
   SUBROUTINE removepoints(sec,cdind,cdextr,ld_debug)
@@ -518,10 +506,8 @@
                 istart,iend      !first and last points selected in listpoint
      INTEGER :: jpoint           !loop on list points
-     INTEGER, POINTER, DIMENSION(:)   :: idirec !contains temporary sec%direction
-     INTEGER, POINTER, DIMENSION(:,:) :: icoord !contains temporary sec%listpoint
+     INTEGER, POINTER, DIMENSION(nb_point_max)   :: idirec !contains temporary sec%direction
+     INTEGER, POINTER, DIMENSION(2,nb_point_max) :: icoord !contains temporary sec%listpoint
      !----------------------------------------------------------------------------
-     CALL wrk_alloc(    nb_point_max, idirec )
-     CALL wrk_alloc( 2, nb_point_max, icoord )
-
+      !
      IF( ld_debug )WRITE(numout,*)'      -------------------------'
      IF( ld_debug )WRITE(numout,*)'      removepoints in listpoint'
@@ -571,10 +557,8 @@
         WRITE(numout,*)'      sec%direction after removepoints :',sec%direction(1:sec%nb_point)
      ENDIF
-
-     CALL wrk_dealloc(    nb_point_max, idirec )
-     CALL wrk_dealloc( 2, nb_point_max, icoord )
-  END SUBROUTINE removepoints
-
-  SUBROUTINE transport(sec,ld_debug,jsec)
+      !
+   END SUBROUTINE removepoints
+
+   SUBROUTINE transport(sec,ld_debug,jsec)
      !!-------------------------------------------------------------------------------------------
      !!                     ***  ROUTINE transport  ***
@@ -596,18 +580,13 @@
      !!
      !!-------------------------------------------------------------------------------------------
-     !! * Arguments
      TYPE(SECTION),INTENT(INOUT) :: sec
      LOGICAL      ,INTENT(IN)    :: ld_debug
      INTEGER      ,INTENT(IN)    :: jsec        ! numeric identifier of section
-    
-     !! * Local variables
-     INTEGER             :: jk, jseg, jclass,jl,                 &!loop on level/segment/classes/ice categories
-                            isgnu, isgnv                          ! 
-     REAL(wp)            :: zumid, zvmid,                        &!U/V velocity on a cell segment 
-                            zumid_ice, zvmid_ice,                &!U/V ice velocity 
-                            zTnorm                                !transport of velocity through one cell's sides 
-     REAL(wp)            :: ztn, zsn, zrhoi, zrhop, zsshn, zdep !temperature/salinity/potential density/ssh/depth at u/v point
-
-     TYPE(POINT_SECTION) :: k
+     !
+     INTEGER ::   jk, jseg, jclass,jl, isgnu, isgnv    ! loop on level/segment/classes/ice categories
+     REAL(wp)::   zumid, zvmid, zumid_ice, zvmid_ice   ! U/V ocean & ice velocity on a cell segment 
+     REAL(wp)::   zTnorm                               ! transport of velocity through one cell's sides 
+     REAL(wp)::   ztn, zsn, zrhoi, zrhop, zsshn, zdep  ! temperature/salinity/potential density/ssh/depth at u/v point
+     TYPE(POINT_SECTION) ::   k
       !!--------------------------------------------------------
       !
@@ -1008,7 +987,6 @@
      REAL(wp)              :: zslope             ! section's slope coeff
      !
-     REAL(wp), POINTER, DIMENSION(:):: zsumclasses ! 1D workspace 
+     REAL(wp), DIMENSION(nb_type_class)::   zsumclasses   ! 1D workspace 
      !!------------------------------------------------------------- 
-     CALL wrk_alloc(nb_type_class , zsumclasses )  
 
      zsumclasses(:)=0._wp
@@ -1121,6 +1099,4 @@
 118   FORMAT(I8,1X,I8,1X,I4,1X,A30,1X,f9.2,1X,I4,3X,A8,1X,2F12.4,5X,3F12.4)
 119   FORMAT(I8,1X,I8,1X,I4,1X,A30,1X,f9.2,1X,I4,3X,A8,1X,2F12.4,5X,3E15.6)
-
-      CALL wrk_dealloc(nb_type_class , zsumclasses )  
       !
    END SUBROUTINE dia_dct_wri
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/DIA/diaharm.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/DIA/diaharm.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/DIA/diaharm.F90	(revision 9124)
@@ -22,5 +22,4 @@
    USE lbclnk          ! ocean lateral boundary conditions (or mpp link)
    USE timing          ! preformance summary
-   USE wrk_nemo        ! working arrays
 
    IMPLICIT NONE
@@ -177,12 +176,12 @@
       REAL(wp) :: ztime, ztemp
       !!--------------------------------------------------------------------
-      IF( nn_timing == 1 )   CALL timing_start('dia_harm')
-
-      IF( kt == nit000 ) CALL dia_harm_init
-
+      IF( ln_timing )   CALL timing_start('dia_harm')
+      !
+      IF( kt == nit000 )   CALL dia_harm_init
+      !
       IF( kt >= nit000_han .AND. kt <= nitend_han .AND. MOD(kt,nstep_han) == 0 ) THEN
-
+         !
          ztime = (kt-nit000+1) * rdt 
-       
+         !
          nhc = 0
          DO jh = 1, nb_ana
@@ -191,5 +190,5 @@
                ztemp =(     MOD(jc,2) * ft(jh) *COS(ana_freq(jh)*ztime + vt(jh) + ut(jh))  &
                   &    +(1.-MOD(jc,2))* ft(jh) *SIN(ana_freq(jh)*ztime + vt(jh) + ut(jh)))
-
+                  !
                DO jj = 1,jpj
                   DO ji = 1,jpi
@@ -205,9 +204,9 @@
          !       
       END IF
-
-      IF ( kt == nitend_han )   CALL dia_harm_end
-
-      IF( nn_timing == 1 )   CALL timing_stop('dia_harm')
- 
+      !
+      IF( kt == nitend_han )   CALL dia_harm_end
+      !
+      IF( ln_timing )   CALL timing_stop('dia_harm')
+      !
    END SUBROUTINE dia_harm
 
@@ -225,9 +224,8 @@
       INTEGER :: ksp, kun, keq
       REAL(wp) :: ztime, ztime_ini, ztime_end
-      REAL(wp) :: X1,X2
-      REAL(wp), POINTER, DIMENSION(:,:,:,:) :: ana_amp
-      !!--------------------------------------------------------------------
-      CALL wrk_alloc( jpi , jpj , jpmax_harmo , 2 , ana_amp )
-
+      REAL(wp) :: X1, X2
+      REAL(wp), DIMENSION(jpi,jpj,jpmax_harmo,2) ::   ana_amp   ! workspace
+      !!--------------------------------------------------------------------
+      !
       IF(lwp) WRITE(numout,*)
       IF(lwp) WRITE(numout,*) 'anharmo_end: kt=nitend_han: Perform harmonic analysis'
@@ -364,7 +362,6 @@
          END DO
       END DO
-
+      !
       CALL dia_wri_harm ! Write results in files
-      CALL wrk_dealloc( jpi , jpj , jpmax_harmo , 2 , ana_amp )
       !
    END SUBROUTINE dia_harm_end
@@ -427,10 +424,8 @@
       INTEGER                         :: ji_sd, jj_sd, ji1_sd, ji2_sd, jk1_sd, jk2_sd
       REAL(wp)                        :: zval1, zval2, zx1
-      REAL(wp), POINTER, DIMENSION(:) :: ztmpx, zcol1, zcol2
-      INTEGER , POINTER, DIMENSION(:) :: ipos2, ipivot
+      REAL(wp), DIMENSION(jpincomax) :: ztmpx, zcol1, zcol2
+      INTEGER , DIMENSION(jpincomax) :: ipos2, ipivot
       !---------------------------------------------------------------------------------
-      CALL wrk_alloc( jpincomax , ztmpx , zcol1 , zcol2 )
-      CALL wrk_alloc( jpincomax , ipos2 , ipivot        )
-            
+      !            
       IF( init == 1 ) THEN
          IF( nsparse > jpdimsparse )   CALL ctl_stop( 'STOP', 'SUR_DETERMINE : nsparse .GT. jpdimsparse')
@@ -517,7 +512,4 @@
          ztmp7(ipos1(jj_sd))=ztmpx(jj_sd)
       END DO
-
-      CALL wrk_dealloc( jpincomax , ztmpx , zcol1 , zcol2 )
-      CALL wrk_dealloc( jpincomax , ipos2 , ipivot        )
       !
    END SUBROUTINE SUR_DETERMINE
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/DIA/diahsb.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/DIA/diahsb.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/DIA/diahsb.F90	(revision 9124)
@@ -31,5 +31,4 @@
    USE lib_mpp         ! distributed memory computing library
    USE timing          ! preformance summary
-   USE wrk_nemo        ! work arrays
 
    IMPLICIT NONE
@@ -82,9 +81,7 @@
       REAL(wp)   ::   z_wn_trd_t , z_wn_trd_s     !    -     -
       REAL(wp)   ::   z_ssh_hc , z_ssh_sc         !    -     -
-      REAL(wp), DIMENSION(:,:), POINTER ::   z2d0, z2d1
-      !!---------------------------------------------------------------------------
-      IF( nn_timing == 1 )   CALL timing_start('dia_hsb')      
-      !
-      CALL wrk_alloc( jpi,jpj,   z2d0, z2d1 )
+      REAL(wp), DIMENSION(jpi,jpj) ::   z2d0, z2d1   ! 2D workspace
+      !!---------------------------------------------------------------------------
+      IF( ln_timing )   CALL timing_start('dia_hsb')      
       !
       tsn(:,:,:,1) = tsn(:,:,:,1) * tmask(:,:,:) ; tsb(:,:,:,1) = tsb(:,:,:,1) * tmask(:,:,:) ;
@@ -228,7 +225,5 @@
       IF( lrst_oce )   CALL dia_hsb_rst( kt, 'WRITE' )
       !
-      CALL wrk_dealloc( jpi,jpj,   z2d0, z2d1 )
-      !
-      IF( nn_timing == 1 )   CALL timing_stop('dia_hsb')
+      IF( ln_timing )   CALL timing_stop('dia_hsb')
       !
    END SUBROUTINE dia_hsb
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/DIA/diahth.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/DIA/diahth.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/DIA/diahth.F90	(revision 9124)
@@ -104,5 +104,5 @@
       REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:) ::   zdelr      ! delta rho equivalent to deltaT = 0.2
       !!----------------------------------------------------------------------
-      IF( nn_timing == 1 )   CALL timing_start('dia_hth')
+      IF( ln_timing )   CALL timing_start('dia_hth')
 
       IF( kt == nit000 ) THEN
@@ -332,5 +332,5 @@
       CALL iom_put( "hc300", htc3 )      ! first 300m heat content
       !
-      IF( nn_timing == 1 )   CALL timing_stop('dia_hth')
+      IF( ln_timing )   CALL timing_stop('dia_hth')
       !
    END SUBROUTINE dia_hth
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/DIA/diaptr.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/DIA/diaptr.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/DIA/diaptr.F90	(revision 9124)
@@ -37,5 +37,5 @@
    PUBLIC   ptr_sj         ! call by tra_ldf & tra_adv routines
    PUBLIC   ptr_sjk        ! 
-   PUBLIC   dia_ptr_init   ! call in step module
+   PUBLIC   dia_ptr_init   ! call in memogcm
    PUBLIC   dia_ptr        ! call in step module
    PUBLIC   dia_ptr_hst    ! called from tra_ldf/tra_adv routines
@@ -96,5 +96,5 @@
       !!----------------------------------------------------------------------
       !
-      IF( nn_timing == 1 )   CALL timing_start('dia_ptr')
+      IF( ln_timing )   CALL timing_start('dia_ptr')
 
       !
@@ -373,5 +373,5 @@
       ENDIF
       !
-      IF( nn_timing == 1 )   CALL timing_stop('dia_ptr')
+      IF( ln_timing )   CALL timing_stop('dia_ptr')
       !
    END SUBROUTINE dia_ptr
@@ -457,4 +457,5 @@
       ! 
    END SUBROUTINE dia_ptr_init
+
 
    SUBROUTINE dia_ptr_hst( ktra, cptr, pva ) 
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/DIA/diatmb.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/DIA/diatmb.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/DIA/diatmb.F90	(revision 9124)
@@ -12,6 +12,4 @@
    USE in_out_manager  ! I/O units
    USE iom             ! I/0 library
-   USE wrk_nemo        ! working arrays
-
 
    IMPLICIT NONE
@@ -42,11 +40,11 @@
       !!----------------------------------------------------------------------
       !
-      REWIND ( numnam_ref )              ! Read Namelist nam_diatmb in reference namelist : TMB diagnostics
-      READ   ( numnam_ref, nam_diatmb, IOSTAT=ios, ERR= 901 )
+      REWIND( numnam_ref )              ! Read Namelist nam_diatmb in reference namelist : TMB diagnostics
+      READ  ( numnam_ref, nam_diatmb, IOSTAT=ios, ERR= 901 )
 901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'nam_diatmb in reference namelist', lwp )
  
       REWIND( numnam_cfg )              ! Namelist nam_diatmb in configuration namelist  TMB diagnostics
       READ  ( numnam_cfg, nam_diatmb, IOSTAT = ios, ERR = 902 )
-902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'nam_diatmb in configuration namelist', lwp )
+902   IF( ios >  0 ) CALL ctl_nam ( ios , 'nam_diatmb in configuration namelist', lwp )
       IF(lwm) WRITE ( numond, nam_diatmb )
 
@@ -72,10 +70,10 @@
       !!
       !!----------------------------------------------------------------------
-      REAL(wp), DIMENSION(jpi, jpj, jpk), INTENT(in   ) :: pfield   ! Input 3d field and mask
-      REAL(wp), DIMENSION(jpi, jpj,  3 ), INTENT(  out) :: ptmb     ! top, middle, bottom extracted from pfield
+      REAL(wp), DIMENSION(jpi, jpj, jpk), INTENT(in   ) ::   pfield   ! Input 3D field and mask
+      REAL(wp), DIMENSION(jpi, jpj,  3 ), INTENT(  out) ::   ptmb     ! top, middle, bottom extracted from pfield
       !
-      INTEGER  ::   ji, jj  ! Dummy loop indices
-      INTEGER  ::   itop, imid, ibot  ! local integers
-      REAL(wp) ::   zmdi = 1.e+20_wp  ! land value
+      INTEGER ::   ji, jj   ! Dummy loop indices
+      INTEGER ::   itop, imid, ibot   ! local integers
+      REAL(wp)::   zmdi = 1.e+20_wp   ! land value
       !!---------------------------------------------------------------------
       !
@@ -86,7 +84,7 @@
             imid =  itop + ( ibot - itop + 1 ) / 2    ! middle ocean          
             !                    
-            ptmb(ji,jj,1) = pfield(ji,jj,itop)*tmask(ji,jj,itop)  + zmdi*( 1._wp-tmask(ji,jj,itop) )
-            ptmb(ji,jj,2) = pfield(ji,jj,imid)*tmask(ji,jj,imid)  + zmdi*( 1._wp-tmask(ji,jj,imid) )
-            ptmb(ji,jj,3) = pfield(ji,jj,ibot)*tmask(ji,jj,ibot)  + zmdi*( 1._wp-tmask(ji,jj,ibot) )
+            ptmb(ji,jj,1) = pfield(ji,jj,itop)*tmask(ji,jj,itop) + zmdi*( 1._wp-tmask(ji,jj,itop) )
+            ptmb(ji,jj,2) = pfield(ji,jj,imid)*tmask(ji,jj,imid) + zmdi*( 1._wp-tmask(ji,jj,imid) )
+            ptmb(ji,jj,3) = pfield(ji,jj,ibot)*tmask(ji,jj,ibot) + zmdi*( 1._wp-tmask(ji,jj,ibot) )
          END DO
       END DO
@@ -105,39 +103,31 @@
       !!--------------------------------------------------------------------
       REAL(wp) ::   zmdi =1.e+20     ! land value
-      REAL(wp), POINTER, DIMENSION(:,:,:) :: zwtmb    ! workspace 
+      REAL(wp), DIMENSION(jpi,jpj,3) ::   zwtmb   ! workspace 
       !!--------------------------------------------------------------------
       !
-      IF (ln_diatmb) THEN
-         CALL wrk_alloc( jpi,jpj,3   , zwtmb )
-         CALL dia_calctmb(  tsn(:,:,:,jp_tem),zwtmb )
-         !ssh already output but here we output it masked
-         CALL iom_put( "sshnmasked" , sshn(:,:)*tmask(:,:,1) + zmdi*(1.0 - tmask(:,:,1)) )
-         CALL iom_put( "top_temp" , zwtmb(:,:,1) )    ! tmb Temperature
-         CALL iom_put( "mid_temp" , zwtmb(:,:,2) )    ! tmb Temperature
-         CALL iom_put( "bot_temp" , zwtmb(:,:,3) )    ! tmb Temperature
-!         CALL iom_put( "sotrefml" , hmld_tref(:,:) )    ! "T criterion Mixed Layer Depth
-
-         CALL dia_calctmb(  tsn(:,:,:,jp_sal),zwtmb )
-         CALL iom_put( "top_sal" , zwtmb(:,:,1) )    ! tmb Salinity 
-         CALL iom_put( "mid_sal" , zwtmb(:,:,2) )    ! tmb Salinity
-         CALL iom_put( "bot_sal" , zwtmb(:,:,3) )    ! tmb Salinity
-
-         CALL dia_calctmb(  un(:,:,:),zwtmb )
-         CALL iom_put( "top_u" , zwtmb(:,:,1) )    ! tmb  U Velocity
-         CALL iom_put( "mid_u" , zwtmb(:,:,2) )    ! tmb  U Velocity
-         CALL iom_put( "bot_u" , zwtmb(:,:,3) )    ! tmb  U Velocity
-!Called in  dynspg_ts.F90        CALL iom_put( "baro_u" , un_b )    ! Barotropic  U Velocity
-
-         CALL dia_calctmb(  vn(:,:,:),zwtmb )
-         CALL iom_put( "top_v" , zwtmb(:,:,1) )    ! tmb  V Velocity
-         CALL iom_put( "mid_v" , zwtmb(:,:,2) )    ! tmb  V Velocity
-         CALL iom_put( "bot_v" , zwtmb(:,:,3) )    ! tmb  V Velocity
-!Called in  dynspg_ts.F90       CALL iom_put( "baro_v" , vn_b )    ! Barotropic  V Velocity
-         CALL wrk_dealloc( jpi,jpj,3   , zwtmb )
-      ELSE
-         CALL ctl_warn('dia_tmb: tmb diagnostic is set to false you should not have seen this')
-      ENDIF
+      CALL dia_calctmb( tsn(:,:,:,jp_tem), zwtmb )
+      !ssh already output but here we output it masked
+      CALL iom_put( "sshnmasked", sshn(:,:)*tmask(:,:,1) + zmdi*(1.0 - tmask(:,:,1)) )
+      CALL iom_put( "top_temp"  , zwtmb(:,:,1) )    ! tmb Temperature
+      CALL iom_put( "mid_temp"  , zwtmb(:,:,2) )    ! tmb Temperature
+      CALL iom_put( "bot_temp"  , zwtmb(:,:,3) )    ! tmb Temperature
+      !
+      CALL dia_calctmb( tsn(:,:,:,jp_sal), zwtmb )
+      CALL iom_put( "top_sal"   , zwtmb(:,:,1) )    ! tmb Salinity 
+      CALL iom_put( "mid_sal"   , zwtmb(:,:,2) )    ! tmb Salinity
+      CALL iom_put( "bot_sal"   , zwtmb(:,:,3) )    ! tmb Salinity
+      !
+      CALL dia_calctmb( un(:,:,:), zwtmb )
+      CALL iom_put( "top_u"     , zwtmb(:,:,1) )    ! tmb  U Velocity
+      CALL iom_put( "mid_u"     , zwtmb(:,:,2) )    ! tmb  U Velocity
+      CALL iom_put( "bot_u"     , zwtmb(:,:,3) )    ! tmb  U Velocity
+      !
+      CALL dia_calctmb( vn(:,:,:), zwtmb )
+      CALL iom_put( "top_v"     , zwtmb(:,:,1) )    ! tmb  V Velocity
+      CALL iom_put( "mid_v"     , zwtmb(:,:,2) )    ! tmb  V Velocity
+      CALL iom_put( "bot_v"     , zwtmb(:,:,3) )    ! tmb  V Velocity
       !
    END SUBROUTINE dia_tmb
+
    !!======================================================================
 END MODULE diatmb
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/DIA/diawri.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/DIA/diawri.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/DIA/diawri.F90	(revision 9124)
@@ -126,5 +126,5 @@
       !!----------------------------------------------------------------------
       ! 
-      IF( nn_timing == 1 )   CALL timing_start('dia_wri')
+      IF( ln_timing )   CALL timing_start('dia_wri')
       ! 
       ! Output the initial state and forcings
@@ -402,5 +402,5 @@
       IF (ln_dia25h)   CALL dia_25h( kt )             ! 25h averaging
 
-      IF( nn_timing == 1 )   CALL timing_stop('dia_wri')
+      IF( ln_timing )   CALL timing_stop('dia_wri')
       !
    END SUBROUTINE dia_wri
@@ -438,5 +438,5 @@
       !!----------------------------------------------------------------------
       ! 
-      IF( nn_timing == 1 )   CALL timing_start('dia_wri')
+      IF( ln_timing )   CALL timing_start('dia_wri')
       !
       IF( ninist == 1 ) THEN     !==  Output the initial state and forcings  ==!
@@ -859,5 +859,5 @@
       ENDIF
       !
-      IF( nn_timing == 1 )   CALL timing_stop('dia_wri')
+      IF( ln_timing )   CALL timing_stop('dia_wri')
       !
    END SUBROUTINE dia_wri
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/DIU/step_diu.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/DIU/step_diu.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/DIU/step_diu.F90	(revision 9124)
@@ -77,5 +77,5 @@
       &    qsr, qns, taum, rhop(:,:,1), rdt) 
 
-      IF(ln_diurnal_only) THEN
+      IF( ln_diurnal_only ) THEN
          IF( ln_diaobs )         CALL dia_obs( kstp )         ! obs-minus-model (assimilation) diagnostics (call after dynamics update)
      
@@ -86,5 +86,5 @@
          IF( lrst_oce         )   CALL rst_write    ( kstp )   ! write output ocean restart file
      
-         IF( nn_timing == 1 .AND.  kstp == nit000  )   CALL timing_reset 
+         IF( ln_timing .AND.  kstp == nit000  )   CALL timing_reset 
       ENDIF
        
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/DOM/daymod.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/DOM/daymod.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/DOM/daymod.F90	(revision 9124)
@@ -284,5 +284,5 @@
    SUBROUTINE day_rst( kt, cdrw )
       !!---------------------------------------------------------------------
-      !!                   ***  ROUTINE ts_rst  ***
+      !!                   ***  ROUTINE day_rst  ***
       !!
       !!  ** Purpose : Read or write calendar in restart file:
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/DOM/domain.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/DOM/domain.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/DOM/domain.F90	(revision 9124)
@@ -44,5 +44,4 @@
    USE lbclnk         ! ocean lateral boundary condition (or mpp link)
    USE lib_mpp        ! distributed memory computing library
-   USE timing         ! Timing
 
    IMPLICIT NONE
@@ -80,6 +79,4 @@
       REAL(wp), DIMENSION(jpi,jpj) ::   z1_hu_0, z1_hv_0
       !!----------------------------------------------------------------------
-      !
-      IF( ln_timing )   CALL timing_start('dom_init')
       !
       IF(lwp) THEN         ! Ocean domain Parameters (control print)
@@ -191,6 +188,4 @@
       !
       IF( ln_write_cfg )   CALL cfg_write         ! create the configuration file
-      !
-      IF( ln_timing )   CALL timing_stop('dom_init')
       !
    END SUBROUTINE dom_init
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/DOM/dommsk.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/DOM/dommsk.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/DOM/dommsk.F90	(revision 9124)
@@ -26,9 +26,9 @@
    USE dom_oce        ! ocean space and time domain
    USE usrdef_fmask   ! user defined fmask
-   USE bdy_oce      
+   USE bdy_oce        ! open boundary
+   !
    USE in_out_manager ! I/O manager
    USE lbclnk         ! ocean lateral boundary conditions (or mpp link)
    USE lib_mpp        ! Massively Parallel Processing library
-   USE timing         ! Timing
 
    IMPLICIT NONE
@@ -102,6 +102,4 @@
          &             ln_vol, nn_volctl, nn_rimwidth, nb_jpk_bdy
       !!---------------------------------------------------------------------
-      !
-      IF( ln_timing )   CALL timing_start('dom_msk')
       !
       REWIND( numnam_ref )              ! Namelist namlbc in reference namelist : Lateral momentum boundary condition
@@ -295,7 +293,4 @@
       CALL usr_def_fmask( cn_cfg, nn_cfg, fmask )
       !
-      !
-      IF( ln_timing )   CALL timing_stop('dom_msk')
-      !
    END SUBROUTINE dom_msk
    
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/DOM/domngb.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/DOM/domngb.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/DOM/domngb.F90	(revision 9124)
@@ -14,5 +14,4 @@
    USE in_out_manager ! I/O manager
    USE lib_mpp        ! for mppsum
-   USE timing         ! Timing
 
    IMPLICIT NONE
@@ -48,6 +47,4 @@
       !!--------------------------------------------------------------------
       !
-      IF( ln_timing )   CALL timing_start('dom_ngb')
-      !
       zmask(:,:) = 0._wp
       ik = 1
@@ -77,6 +74,4 @@
       ENDIF
       !
-      IF( ln_timing )   CALL timing_stop('dom_ngb')
-      !
    END SUBROUTINE dom_ngb
 
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/DOM/domvvl.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/DOM/domvvl.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/DOM/domvvl.F90	(revision 9124)
@@ -119,6 +119,4 @@
       REAL(wp)::   zcoef
       !!----------------------------------------------------------------------
-      !
-      IF( ln_timing )   CALL timing_start('dom_vvl_init')
       !
       IF(lwp) WRITE(numout,*)
@@ -239,6 +237,4 @@
          ENDIF
       ENDIF
-      !
-      IF( ln_timing )   CALL timing_stop('dom_vvl_init')
       !
    END SUBROUTINE dom_vvl_init
@@ -674,6 +670,4 @@
       !!----------------------------------------------------------------------
       !
-      IF( ln_timing )   CALL timing_start('dom_vvl_interpol')
-      !
       IF(ln_wd_il) THEN
         zlnwd = 1.0_wp
@@ -761,6 +755,4 @@
       END SELECT
       !
-      IF( ln_timing )   CALL timing_stop('dom_vvl_interpol')
-      !
    END SUBROUTINE dom_vvl_interpol
 
@@ -784,6 +776,4 @@
       INTEGER ::   id1, id2, id3, id4, id5     ! local integers
       !!----------------------------------------------------------------------
-      !
-      IF( ln_timing )   CALL timing_start('dom_vvl_rst')
       !
       IF( TRIM(cdrw) == 'READ' ) THEN        ! Read/initialise 
@@ -957,6 +947,4 @@
       ENDIF
       !
-      IF( ln_timing )   CALL timing_stop('dom_vvl_rst')
-      !
    END SUBROUTINE dom_vvl_rst
 
